Index: emacs/lisp/ns-gdb.el
diff -c /dev/null emacs/lisp/ns-gdb.el:1.1
*** /dev/null	Fri Aug  2 20:40:18 1996
--- emacs/lisp/ns-gdb.el	Wed Jul 24 04:22:29 1996
***************
*** 0 ****
--- 1,83 ----
+ ; -*-Emacs-Lisp-*-
+ ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+ ;
+ ; File:         ns-gdb.el
+ ; RCS:          /usr/local/lib/cvs/emacs-19/lisp/ns-gdb.el,v 1.1.2.4 1994/05/25 01:32:44 cedman Exp
+ ; Description:  A mode to support interaction between Emacs and NeXT gdb
+ ; Author:       Carl Edman
+ ; Created:      Sun May 15 15:08:45 1994
+ ; Modified:     Wed May 18 20:59:01 1994 (Carl Edman) cedman@capitalist.princeton.edu
+ ; Language:     Emacs-Lisp
+ ; Package:      N/A
+ ; Status:       Experimental (Do Not Distribute)
+ ;
+ ; (C) Copyright 1994, but otherwise this file is perfect freeware.
+ ;
+ ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+ 
+ (defvar ns-gdb-mode nil
+   "Non-nil when in NS gdb mode.")
+ (make-variable-buffer-local 'ns-gdb-mode)
+ (defvar ns-gdb-mode-map nil
+   "Keymap used by NS gdb mode.")
+ 
+ (defun ns-gdb-mode (arg)
+   "Toggle NS gdb mode.\n\
+ With argument ARG, turn mode on iff ARG is positive.\n\
+ \\{ns-gdb-mode-map}"
+   (interactive "P")
+   (setq ns-gdb-mode
+         (if (null arg) (not ns-gdb-mode)
+           (> (prefix-numeric-value arg) 0)))
+   (force-mode-line-update))
+ 
+ (if ns-gdb-mode-map
+     nil
+   (setq ns-gdb-mode-map (make-sparse-keymap))
+   (define-key ns-gdb-mode-map "\C-cn" 'ns-gdb-next)
+   (define-key ns-gdb-mode-map "\C-cs" 'ns-gdb-step)
+   (define-key ns-gdb-mode-map "\C-cc" 'ns-gdb-continue)
+   (define-key ns-gdb-mode-map "\C-cf" 'ns-gdb-finish)
+   (define-key ns-gdb-mode-map "\C-cq" 'ns-gdb-quit)
+   (define-key ns-gdb-mode-map "\C-cr" 'ns-gdb-run)
+   
+   (define-key ns-gdb-mode-map "\C-cD" 'ns-gdb-down)
+   (define-key ns-gdb-mode-map "\C-cU" 'ns-gdb-up)
+   (define-key ns-gdb-mode-map "\C-cF" 'ns-gdb-frame)
+   (define-key ns-gdb-mode-map "\C-cS" 'ns-gdb-select-frame)
+   
+   (define-key ns-gdb-mode-map "\C-cb" 'ns-gdb-break-here)
+   (define-key ns-gdb-mode-map "\C-cu" 'ns-gdb-until-here)
+   (define-key ns-gdb-mode-map "\C-cp" 'ns-gdb-print-here)
+   (define-key ns-gdb-mode-map "\C-cP" 'ns-gdb-print-indirect-here)
+   (define-key ns-gdb-mode-map "\C-c\C-g" 'ns-gdb-interrupt)
+   (define-key ns-gdb-mode-map "\C-c\C-c" 'ns-gdb-mode))
+ 
+ (defun ns-gdb-break-here ()
+   "Put a break point on the current line in the current file."
+   (interactive)
+   (ns-gdb-break (file-name-nondirectory (buffer-file-name))
+                 (1+ (count-lines (point-min) (point)))))
+ 
+ (defun ns-gdb-until-here ()
+   "Run until reaching the current line in the current file."
+   (interactive)
+   (ns-gdb-until (file-name-nondirectory (buffer-file-name))
+                 (1+ (count-lines (point-min) (point)))))
+ 
+ (defun ns-gdb-print-here ()
+   "Print the value of the word around point."
+   (interactive)
+   (ns-gdb-print (current-word)))
+ 
+ (defun ns-gdb-print-indirect-here ()
+   "Print the value pointed by the word around the point."
+   (interactive)
+   (ns-gdb-print-indirect (current-word)))
+ 
+ (or (assq 'ns-gdb-mode minor-mode-alist)
+     (setq minor-mode-alist (cons '(ns-gdb-mode (" NS gdb:" ns-gdb-status))
+                                  minor-mode-alist)))
+ (or (assq 'ns-gdb-mode minor-mode-map-alist)
+     (setq minor-mode-map-alist (cons (cons 'ns-gdb-mode ns-gdb-mode-map)
+                                      minor-mode-map-alist)))
Index: emacs/lisp/ns-icon.el
diff -c /dev/null emacs/lisp/ns-icon.el:1.1
*** /dev/null	Fri Aug  2 20:40:20 1996
--- emacs/lisp/ns-icon.el	Wed Jul 24 04:22:30 1996
***************
*** 0 ****
--- 1,94 ----
+ ;; ns-icon
+ ;; Description:  Automagically updates the icon associated with each frame
+ ;;		 as the file currently being edited in that frame changes.
+ ;;		 Really only useful under Emacs 19 for NeXTSTEP.
+ ;; Author:    Joe Reiss			<jreiss@magnus.acs.ohio-state.edu>
+ ;; File:      ns-icon.el
+ ;;
+ ;; This program is free software; you can redistribute it and/or modify
+ ;; it under the terms of the GNU General Public License as published by
+ ;; the Free Software Foundation; either version 2 of the License, or 
+ ;; (at your option) any later version.
+ 
+ ;; This program is distributed in the hope that it will be useful,
+ ;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;; GNU General Public License for more details.
+ 
+ ;; You should have received a copy of the GNU General Public License
+ ;; along with this program; if not, write to the Free Software
+ ;; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ 
+ ;; LCD Archive Entry:
+ ;; ns-icon|Joe Reiss|jreiss@magnus.acs.ohio-state.edu|
+ ;; Update frame icons based on name of file currently being edited.|
+ ;; 11-June-1994|1.00||
+ 
+ ;; INSTALLATION: 
+ ;; byte-compile it if you must, then put this file in one of your lisp
+ ;; load directories and add the following line to your .emacs file
+ ;;
+ ;; (require 'ns-icon)
+ 
+ (require 'advice)
+ (provide 'ns-icon)
+ 
+ (defvar ns-icon-type-alist 
+   '(("\\.bib$" . "bib") ("\\.c$" . "c")
+     ("\\.el$"  . "el")  ("\\.h$" . "h")
+     ("\\.l$"   . "l")   ("\\.m$" . "m")
+     ("\\.tex$" . "tex") ("\\.y$" . "y"))
+ "Alist mapping file names to icons.
+ 
+ Each element is a cons cell containing a pattern to match against the
+ current filename and the type of the icon to be used if the filename
+ matches that pattern.")
+ 
+ (defun ns-set-frame-icon ()
+ "Update the current frame's icon based on the name of the file being edited.
+ The icon type to be used is determined from the variable `ns-icon-type-alist'."
+   (interactive)
+   (let* ((frame (selected-frame))
+ 	 (filename (buffer-file-name 
+ 		    (window-buffer (frame-selected-window frame))))
+ 	 (aptr (append ns-icon-type-alist '(("*" . nil))))
+ 	 (pattern) (icon-form))
+     (if filename
+ 	(progn
+ 	  (while aptr
+ 	    (setq pattern (car (car aptr)))
+ 	    (setq icon-form (cdr (car aptr)))
+ 	    (if (string-match pattern filename)
+ 		(setq aptr nil)
+ 	      (setq aptr (cdr aptr))))))
+     (modify-frame-parameters 
+      frame (list (cons 'icon-type icon-form)))))
+ 
+ (defadvice select-window (after set-icon activate)
+   "Set the icon of the frame according to filename."
+   (ns-set-frame-icon))
+ 
+ (defadvice other-window (after set-icon activate)
+   "Set the icon of the frame according to filename."
+   (ns-set-frame-icon))
+ 
+ (defadvice delete-window (after set-icon activate)
+   "Set the icon of the frame according to filename."
+   (ns-set-frame-icon))
+ 
+ (defadvice bury-buffer (after set-icon activate)
+   "Set the icon of the frame according to filename."
+   (ns-set-frame-icon))
+ 
+ (defadvice switch-to-buffer (after set-icon activate)
+   "Set the icon of the frame according to filename."
+   (ns-set-frame-icon))
+ 
+ (defadvice switch-to-buffer-other-window (after set-icon activate)
+   "Set the icon of the frame according to filename."
+   (ns-set-frame-icon))
+ 
+ (defadvice pop-to-buffer (after set-icon activate)
+   "Set the icon of the frame according to filename."
+   (ns-set-frame-icon))
+ 
